Create a Bridge
Create a new bridge.
- Production
- Sandbox
POST/v1/bridge
curl -X POST 'https://api.minteo.finance/v1/bridge' \-H 'Authorization: Bearer <your-api-key>' \-H 'Content-Type: application/json' \-d '{ "from_source_id": "38e7d1ce-fa7a-4886-b7ab-7f7d5314deb7", "to_source_id": "11626926-e00a-43fc-889e-60f41dde9354", "amount": "42069"}'POST/v1/bridge
curl -X POST 'https://api.sandbox.minteo.finance/v1/bridge' \-H 'Authorization: Bearer <your-api-key>' \-H 'Content-Type: application/json' \-d '{ "from_source_id": "38e7d1ce-fa7a-4886-b7ab-7f7d5314deb7", "to_source_id": "11626926-e00a-43fc-889e-60f41dde9354", "amount": "42069"}'RESPONSE
{ "output": { "id": "053808a5-84e0-42f4-98ca-2bb61f7e9982", "status": "PENDING", "amount": "42069", "from_source_id": "38e7d1ce-fa7a-4886-b7ab-7f7d5314deb72", "to_source_id": "11626926-e00a-43fc-889e-60f41dde9354", "activities": [], "public_data": { "deposit_wallet_address": "0xe8D8480D0e1849C1895ba905dEABD391D0BD8D50" }, "user_id": null, "customer_id": "f9c2d4f1-3d24-486e-8660-974d81e35361", "created_at": "2025-04-28T10:19:47.447Z", "finished_at": null, "updated_at": "2025-04-28T10:19:47.447Z" }, "code": "CREATED"}Endpoint
POST
/v1/bridgeScope
bridge:create
Request
Request Body
from_source_iduuidID of the source that will send the funds to be bridged. Must be a wallet ID, and the source token should match the to_source token.
to_source_iduuidID of the source that will receive the bridged funds. Must be a wallet ID, and the source token should match the from_source token.
amountstringThe amount to bridge.
Response
Below you can find an example of what a successful response of a Bridge object looks like.